
#Задание: Перевернуть число
#Вводится целое число. Вывести число, обратное введенному по порядку составляющих его цифр. 
#Например, введено 3425, надо вывести 5243.

#     Узнав, что ДНК не является случайной строкой, только что поступившие в Институт
# биоинформатики студенты группы информатиков предложили использовать алгоритм сжатия,
# который сжимает повторяющиеся символы в строке.
#Кодирование осуществляется следующим образом:
# s = 'aaaabbсaa' преобразуется в 'a4b2с1a2', то есть группы одинаковых символов исходной 
#строки заменяются на этот символ и количество его повторений в этой позиции строки.
#Напишите программу, которая считывает строку, кодирует её предложенным алгоритмом и выводит 
#закодированную последовательность на стандартный вывод. Кодирование должно учитывать регистр символов.
import random

dna = 'h5I7r13j15R13i18K1n8w4B8w20R3I6N8A2l8Z7a11U17q18m16B14O10t9A18w13a11m17b8T1Q17W18f3E5D18j12T13Z14M7A19Z5Q18Z3X11R20'

b=str('')
dna=dna+'1'
c=dna[0]
a=0
for r in dna:
  if c!=r:
    b+=c+str(a)
    c=r
    a=0
  a+=1
print(b)




a=0
f=random.randint(0,5)
c=0
print("\n\tThe game.")
while a!=f:
	a = int(input('Угадать число от 0 до 5: '))
	c+=1
	print(f"\tПопыток: {c}")
	if a==f:
		print(f"win!")
		break
print("\n")

#перевернутое число
print("\n\tReverse number`s game")
a = input("Ввести число: ")
b = a[::-1]
print('Перевернутое число:', b)

print("\n")

def kvadrat(a=int(input("Число для возведения в квадрат: "))):
	return a**2
a = kvadrat()
print(a)




